Skip to main content
GET
/
api
/
v3
/
timmitimesheets
List timesheets
curl --request GET \
  --url https://{host}/api/v3/timmitimesheets \
  --header 'Authorization: <authorization>'
import requests

url = "https://{host}/api/v3/timmitimesheets"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://{host}/api/v3/timmitimesheets', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "items": [
      {
        "id": 123,
        "name": "45 - January 2016 - Approved",
        "ownerId": 2,
        "owner": {
          "id": 2,
          "firstName": "<string>",
          "lastName": "<string>",
          "mail": "jsmith@example.com",
          "legalEntityId": 123,
          "manager": {
            "id": 2,
            "firstName": "<string>",
            "lastName": "<string>",
            "mail": "jsmith@example.com",
            "legalEntityId": 123
          }
        },
        "startsOn": "2023-12-25",
        "endsOn": "2023-12-25",
        "expectedNextActorId": 123,
        "expectedNextActor": {
          "id": 2,
          "firstName": "<string>",
          "lastName": "<string>",
          "mail": "jsmith@example.com",
          "legalEntityId": 123
        },
        "statuteId": 123
      }
    ]
  }
}
{
  "Status": 401,
  "Message": "Unauthorized"
}
{
  "Status": 401,
  "Message": "Unauthorized"
}
{
  "Status": 401,
  "Message": "Unauthorized"
}
{
  "Status": 401,
  "Message": "Unauthorized"
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Query Parameters

ownerId
any[]

User's identifier.

startsOn
string

Filter on the start date of the timesheet.

Example:

"between,2022-01-01,2022-02-01"

status
any[]

Filter on the timesheet workflow status. 0 for temporary, 1 for pending, 2 for approved, 3 for rejected.

endsOn
string

Filter on the end date of the timesheet.

Example:

"until,2022-01-01"

Response

OK

data
object